import 'dart:convert';
import 'dart:async';
import 'package:flutter/services.dart';
import '../main.dart';
import 'dart:io';

import 'CustomExecption.dart';

enum Log {
  DEBUG,
  INFO,
  WARN,
  ERROR,
  API
}

class Logger {
  static void logException(Log logLevel, Error exception) {
    Logger.logMessage(logLevel, '$logLevel : ${exception.toString()}');
  }

  static void logMessage(Log logLevel, dynamic message) {
    print('$logLevel : ' + message.toString());
  }
}
